/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../../core/base/base-component';
import { ChipType } from '../chip/chip-constants';
export interface IChipSetComponent extends IBaseComponent {
    vertical: boolean;
    type: ChipType;
    dense: boolean;
    disabled: boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-chip-set': IChipSetComponent;
    }
}
/**
 * The web component class behind the `<forge-chip-set>` custom element.
 *
 * @tag forge-chip-set
 */
export declare class ChipSetComponent extends BaseComponent implements IChipSetComponent {
    static get observedAttributes(): string[];
    private _foundation;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    vertical: boolean;
    type: ChipType;
    dense: boolean;
    disabled: boolean;
}
